Package writer2latex.bibtex

# Class Converter

java.lang.Object
writer2latex.base.ConverterBase
writer2latex.bibtex.Converter

All Implemented Interfaces:
  `Converter`

public final class Converter extends ConverterBase
This class exports bibliographic information from an OpenDocument text file to a BibTeX data file

## Nested Class Summary

## Nested classes/interfaces inherited from class writer2latex.base.ConverterBase

`ConverterBase.TexMathsStyle`

## Field Summary

### Fields inherited from class writer2latex.base.ConverterBase

`converterResult, graphicConverter, imageConverter, metaData, odDoc, ofr, sTargetFileName`

## Constructor Summary

Constructors
Constructor
Description
`Converter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`convertInner()`
Convert the document into BibTeX format.
`Config`
`getConfig()`
Get the interface for the configuration of this converter

### Methods inherited from class writer2latex.base.ConverterBase

`addDocument, convert, convert, convert, getEmbeddedObject, getImageCv, getMetaData, getTexMathsEquation, getTexMathsEquation, getTexMathsStyle, readResource, readResource, readStyleSheet, readStyleSheet, readTemplate, readTemplate, setGraphicConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Converter

public Converter()

## Method Details

### getConfig

public Config getConfig()
Description copied from interface: `Converter`
Get the interface for the configuration of this converter

Returns:
  the configuration

### convertInner

public void convertInner() throws IOException
Convert the document into BibTeX format.

Specified by:
  `convertInner` in class `ConverterBase`
Throws:
  `IOException` - If any I/O error occurs.